WordPress.org

Support

Support » Alpha/Beta » [Resolved] "Redefining already defined constructor for class WP_Widget"

[Resolved] "Redefining already defined constructor for class WP_Widget"

  • jcartland
    Member

    @jcartland

    Running PHP 5.4.9-4ubuntu2, on 13.04 64 bit. I’ve been regularly updating the nightly, and just encountered my first debug message, in 3.6-beta3-24284.

    Made it stop by editing wp-includes/widgets.php, after line 71. Moved the PHP5 constructor to before the PHP4 constructor. Seems to be working, although I don’t really understand why. (Or even why there’s a PHP4 constructor in the mix?)

Viewing 2 replies - 1 through 2 (of 2 total)
Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘[Resolved] "Redefining already defined constructor for class WP_Widget"’ is closed to new replies.